#ifndef FREQUENCYTUNINGFORM_H
#define FREQUENCYTUNINGFORM_H

#include <QWidget>
#include "device/FrequencyTuning.h"

namespace Ui {
class FrequencyTuningForm;
}

class FrequencyTuningForm : public QWidget
{
    Q_OBJECT

public:
    explicit FrequencyTuningForm(QWidget *parent = nullptr);
    ~FrequencyTuningForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_freqTunButt_clicked();

private:
    Ui::FrequencyTuningForm *ui;
};

#endif // FREQUENCYTUNINGFORM_H
